package com.prolog.rdc.tms.service.print;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.print.PrinterTemplateDTO;
import com.prolog.rdc.tms.model.entity.line.PrinterTemplate;
import com.prolog.rdc.tms.model.vo.print.DeleteSysPrinterVO;
import com.prolog.rdc.tms.model.vo.print.PrinterTemplateVO;
import com.prolog.rdc.tms.model.vo.print.QuerySysPrinterTemplateVO;

/**
 * 
 *
 * 打印模板服务层
 *
 * @className :PrinterTemplateService
 * @author :fanzw
 * @creationTime :2022/11/21
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface PrinterTemplateService {

	// 新增打印机
	void save(PrinterTemplateVO vo);

	// 修改打印机
	void update(PrinterTemplateVO vo);

	// 打印机列表查询
	Page<PrinterTemplateDTO> findList(QuerySysPrinterTemplateVO vo) throws Exception;

	// 删除
	void delete(DeleteSysPrinterVO vo);

	// 详情
	PrinterTemplateDTO detail(Long id) throws Exception;

	List<PrinterTemplate> findListByCode(String templateCode, Long warehouseId, String consignorId);
}
